CONST
   opTable : ARRAY[1..4,0..255] OF InstrRec =

((
{00}     (m:'NOP';  l:''        ; c:FALSE; r:FALSE),
{01}     (m:'LD';   l:'BC,w'    ; c:FALSE; r:FALSE),
{02}     (m:'LD';   l:'(BC),A'  ; c:FALSE; r:FALSE),
{03}     (m:'INC';  l:'BC'      ; c:FALSE; r:FALSE),
{04}     (m:'INC';  l:'B'       ; c:FALSE; r:FALSE),
{05}     (m:'DEC';  l:'B'       ; c:FALSE; r:FALSE),
{06}     (m:'LD';   l:'B,b'     ; c:FALSE; r:FALSE),
{07}     (m:'RLCA'; l:''        ; c:FALSE; r:FALSE),
{08}     (m:'EX';   l:'AF,AF''' ; c:FALSE; r:FALSE),
{09}     (m:'ADD';  l:'HL,BC'   ; c:FALSE; r:FALSE),
{0A}     (m:'LD';   l:'A,(BC)'  ; c:FALSE; r:FALSE),
{0B}     (m:'DEC';  l:'BC'      ; c:FALSE; r:FALSE),
{0C}     (m:'INC';  l:'C'       ; c:FALSE; r:FALSE),
{0D}     (m:'DEC';  l:'C'       ; c:FALSE; r:FALSE),
{0E}     (m:'LD';   l:'C,b'     ; c:FALSE; r:FALSE),
{0F}     (m:'RRCA'; l:''        ; c:FALSE; r:FALSE),

{10}     (m:'DJNZ'; l:'r'       ; c:FALSE; r:TRUE ),
{11}     (m:'LD';   l:'DE,w'    ; c:FALSE; r:FALSE),
{12}     (m:'LD';   l:'(DE),A'  ; c:FALSE; r:FALSE),
{13}     (m:'INC';  l:'DE'      ; c:FALSE; r:FALSE),
{14}     (m:'INC';  l:'D'       ; c:FALSE; r:FALSE),
{15}     (m:'DEC';  l:'D'       ; c:FALSE; r:FALSE),
{16}     (m:'LD';   l:'D,b'     ; c:FALSE; r:FALSE),
{17}     (m:'RLA';  l:''        ; c:FALSE; r:FALSE),
{18}     (m:'JR';   l:'r'       ; c:TRUE ; r:TRUE ),
{19}     (m:'ADD';  l:'HL,DE'   ; c:FALSE; r:FALSE),
{1A}     (m:'LD';   l:'A,(DE)'  ; c:FALSE; r:FALSE),
{1B}     (m:'DEC';  l:'DE'      ; c:FALSE; r:FALSE),
{1C}     (m:'INC';  l:'E'       ; c:FALSE; r:FALSE),
{1D}     (m:'DEC';  l:'E'       ; c:FALSE; r:FALSE),
{1E}     (m:'LD';   l:'E,b'     ; c:FALSE; r:FALSE),
{1F}     (m:'RRA';  l:''        ; c:FALSE; r:FALSE),

{20}     (m:'JR';   l:'NZ,r'    ; c:FALSE; r:TRUE ),
{21}     (m:'LD';   l:'HL,w'    ; c:FALSE; r:FALSE),
{22}     (m:'LD';   l:'(w),HL'  ; c:FALSE; r:FALSE),
{23}     (m:'INC';  l:'HL'      ; c:FALSE; r:FALSE),
{24}     (m:'INC';  l:'H'       ; c:FALSE; r:FALSE),
{25}     (m:'DEC';  l:'H'       ; c:FALSE; r:FALSE),
{26}     (m:'LD';   l:'H,b'     ; c:FALSE; r:FALSE),
{27}     (m:'DAA';  l:''        ; c:FALSE; r:FALSE),
{28}     (m:'JR';   l:'Z,r'     ; c:FALSE; r:TRUE ),
{29}     (m:'ADD';  l:'HL,HL'   ; c:FALSE; r:FALSE),
{2A}     (m:'LD';   l:'HL,(w)'  ; c:FALSE; r:FALSE),
{2B}     (m:'DEC';  l:'HL'      ; c:FALSE; r:FALSE),
{2C}     (m:'INC';  l:'L'       ; c:FALSE; r:FALSE),
{2D}     (m:'DEC';  l:'L'       ; c:FALSE; r:FALSE),
{2E}     (m:'LD';   l:'L,b'     ; c:FALSE; r:FALSE),
{2F}     (m:'CPL';  l:''        ; c:FALSE; r:FALSE),

{30}     (m:'JR';   l:'NC,r'    ; c:FALSE; r:TRUE ),
{31}     (m:'LD';   l:'SP,w'    ; c:FALSE; r:FALSE),
{32}     (m:'LD';   l:'(w),A'   ; c:FALSE; r:FALSE),
{33}     (m:'INC';  l:'SP'      ; c:FALSE; r:FALSE),
{34}     (m:'INC';  l:'(HL)'    ; c:FALSE; r:FALSE),
{35}     (m:'DEC';  l:'(HL)'    ; c:FALSE; r:FALSE),
{36}     (m:'LD';   l:'(HL),b'  ; c:FALSE; r:FALSE),
{37}     (m:'SCF';  l:''        ; c:FALSE; r:FALSE),
{38}     (m:'JR';   l:'C,r'     ; c:FALSE; r:TRUE ),
{39}     (m:'ADD';  l:'HL,SP'   ; c:FALSE; r:FALSE),
{3A}     (m:'LD';   l:'A,(w)'   ; c:FALSE; r:FALSE),
{3B}     (m:'DEC';  l:'SP'      ; c:FALSE; r:FALSE),
{3C}     (m:'INC';  l:'A'       ; c:FALSE; r:FALSE),
{3D}     (m:'DEC';  l:'A'       ; c:FALSE; r:FALSE),
{3E}     (m:'LD';   l:'A,b'     ; c:FALSE; r:FALSE),
{3F}     (m:'CCF';  l:''        ; c:FALSE; r:FALSE),

{40}     (m:'LD';   l:'B,B'     ; c:FALSE; r:FALSE),
{41}     (m:'LD';   l:'B,C'     ; c:FALSE; r:FALSE),
{42}     (m:'LD';   l:'B,D'     ; c:FALSE; r:FALSE),
{43}     (m:'LD';   l:'B,E'     ; c:FALSE; r:FALSE),
{44}     (m:'LD';   l:'B,H'     ; c:FALSE; r:FALSE),
{45}     (m:'LD';   l:'B,L'     ; c:FALSE; r:FALSE),
{46}     (m:'LD';   l:'B,(HL)'  ; c:FALSE; r:FALSE),
{47}     (m:'LD';   l:'B,A'     ; c:FALSE; r:FALSE),
{48}     (m:'LD';   l:'C,B'     ; c:FALSE; r:FALSE),
{49}     (m:'LD';   l:'C,C'     ; c:FALSE; r:FALSE),
{4A}     (m:'LD';   l:'C,D'     ; c:FALSE; r:FALSE),
{4B}     (m:'LD';   l:'C,E'     ; c:FALSE; r:FALSE),
{4C}     (m:'LD';   l:'C,H'     ; c:FALSE; r:FALSE),
{4D}     (m:'LD';   l:'C,L'     ; c:FALSE; r:FALSE),
{4E}     (m:'LD';   l:'C,(HL)'  ; c:FALSE; r:FALSE),
{4F}     (m:'LD';   l:'C,A'     ; c:FALSE; r:FALSE),

{50}     (m:'LD';   l:'D,B'     ; c:FALSE; r:FALSE),
{51}     (m:'LD';   l:'D,C'     ; c:FALSE; r:FALSE),
{52}     (m:'LD';   l:'D,D'     ; c:FALSE; r:FALSE),
{53}     (m:'LD';   l:'D,E'     ; c:FALSE; r:FALSE),
{54}     (m:'LD';   l:'D,H'     ; c:FALSE; r:FALSE),
{55}     (m:'LD';   l:'D,L'     ; c:FALSE; r:FALSE),
{56}     (m:'LD';   l:'D,(HL)'  ; c:FALSE; r:FALSE),
{57}     (m:'LD';   l:'D,A'     ; c:FALSE; r:FALSE),
{58}     (m:'LD';   l:'E,B'     ; c:FALSE; r:FALSE),
{59}     (m:'LD';   l:'E,C'     ; c:FALSE; r:FALSE),
{5A}     (m:'LD';   l:'E,D'     ; c:FALSE; r:FALSE),
{5B}     (m:'LD';   l:'E,E'     ; c:FALSE; r:FALSE),
{5C}     (m:'LD';   l:'E,H'     ; c:FALSE; r:FALSE),
{5D}     (m:'LD';   l:'E,L'     ; c:FALSE; r:FALSE),
{5E}     (m:'LD';   l:'E,(HL)'  ; c:FALSE; r:FALSE),
{5F}     (m:'LD';   l:'E,A'     ; c:FALSE; r:FALSE),

{60}     (m:'LD';   l:'H,B'     ; c:FALSE; r:FALSE),
{61}     (m:'LD';   l:'H,C'     ; c:FALSE; r:FALSE),
{62}     (m:'LD';   l:'H,D'     ; c:FALSE; r:FALSE),
{63}     (m:'LD';   l:'H,E'     ; c:FALSE; r:FALSE),
{64}     (m:'LD';   l:'H,H'     ; c:FALSE; r:FALSE),
{65}     (m:'LD';   l:'H,L'     ; c:FALSE; r:FALSE),
{66}     (m:'LD';   l:'H,(HL)'  ; c:FALSE; r:FALSE),
{67}     (m:'LD';   l:'H,A'     ; c:FALSE; r:FALSE),
{68}     (m:'LD';   l:'L,B'     ; c:FALSE; r:FALSE),
{69}     (m:'LD';   l:'L,C'     ; c:FALSE; r:FALSE),
{6A}     (m:'LD';   l:'L,D'     ; c:FALSE; r:FALSE),
{6B}     (m:'LD';   l:'L,E'     ; c:FALSE; r:FALSE),
{6C}     (m:'LD';   l:'L,H'     ; c:FALSE; r:FALSE),
{6D}     (m:'LD';   l:'L,L'     ; c:FALSE; r:FALSE),
{6E}     (m:'LD';   l:'L,(HL)'  ; c:FALSE; r:FALSE),
{6F}     (m:'LD';   l:'L,A'     ; c:FALSE; r:FALSE),

{70}     (m:'LD';   l:'(HL),B'  ; c:FALSE; r:FALSE),
{71}     (m:'LD';   l:'(HL),C'  ; c:FALSE; r:FALSE),
{72}     (m:'LD';   l:'(HL),D'  ; c:FALSE; r:FALSE),
{73}     (m:'LD';   l:'(HL),E'  ; c:FALSE; r:FALSE),
{74}     (m:'LD';   l:'(HL),H'  ; c:FALSE; r:FALSE),
{75}     (m:'LD';   l:'(HL),L'  ; c:FALSE; r:FALSE),
{76}     (m:'HALT'; l:''        ; c:FALSE; r:FALSE),
{77}     (m:'LD';   l:'(HL),A'  ; c:FALSE; r:FALSE),
{78}     (m:'LD';   l:'A,B'     ; c:FALSE; r:FALSE),
{79}     (m:'LD';   l:'A,C'     ; c:FALSE; r:FALSE),
{7A}     (m:'LD';   l:'A,D'     ; c:FALSE; r:FALSE),
{7B}     (m:'LD';   l:'A,E'     ; c:FALSE; r:FALSE),
{7C}     (m:'LD';   l:'A,H'     ; c:FALSE; r:FALSE),
{7D}     (m:'LD';   l:'A,L'     ; c:FALSE; r:FALSE),
{7E}     (m:'LD';   l:'A,(HL)'  ; c:FALSE; r:FALSE),
{7F}     (m:'LD';   l:'A,A'     ; c:FALSE; r:FALSE),

{80}     (m:'ADD';  l:'A,B'     ; c:FALSE; r:FALSE),
{81}     (m:'ADD';  l:'A,C'     ; c:FALSE; r:FALSE),
{82}     (m:'ADD';  l:'A,D'     ; c:FALSE; r:FALSE),
{83}     (m:'ADD';  l:'A,E'     ; c:FALSE; r:FALSE),
{84}     (m:'ADD';  l:'A,H'     ; c:FALSE; r:FALSE),
{85}     (m:'ADD';  l:'A,L'     ; c:FALSE; r:FALSE),
{86}     (m:'ADD';  l:'A,(HL)'  ; c:FALSE; r:FALSE),
{87}     (m:'ADD';  l:'A,A'     ; c:FALSE; r:FALSE),
{88}     (m:'ADC';  l:'A,B'     ; c:FALSE; r:FALSE),
{89}     (m:'ADC';  l:'A,C'     ; c:FALSE; r:FALSE),
{8A}     (m:'ADC';  l:'A,D'     ; c:FALSE; r:FALSE),
{8B}     (m:'ADC';  l:'A,E'     ; c:FALSE; r:FALSE),
{8C}     (m:'ADC';  l:'A,H'     ; c:FALSE; r:FALSE),
{8D}     (m:'ADC';  l:'A,L'     ; c:FALSE; r:FALSE),
{8E}     (m:'ADC';  l:'A,(HL)'  ; c:FALSE; r:FALSE),
{8F}     (m:'ADC';  l:'A,A'     ; c:FALSE; r:FALSE),

{90}     (m:'SUB';  l:'B'       ; c:FALSE; r:FALSE),
{91}     (m:'SUB';  l:'C'       ; c:FALSE; r:FALSE),
{92}     (m:'SUB';  l:'D'       ; c:FALSE; r:FALSE),
{93}     (m:'SUB';  l:'E'       ; c:FALSE; r:FALSE),
{94}     (m:'SUB';  l:'H'       ; c:FALSE; r:FALSE),
{95}     (m:'SUB';  l:'L'       ; c:FALSE; r:FALSE),
{96}     (m:'SUB';  l:'(HL)'    ; c:FALSE; r:FALSE),
{97}     (m:'SUB';  l:'A'       ; c:FALSE; r:FALSE),
{98}     (m:'SBC';  l:'A,B'     ; c:FALSE; r:FALSE),
{99}     (m:'SBC';  l:'A,C'     ; c:FALSE; r:FALSE),
{9A}     (m:'SBC';  l:'A,D'     ; c:FALSE; r:FALSE),
{9B}     (m:'SBC';  l:'A,E'     ; c:FALSE; r:FALSE),
{9C}     (m:'SBC';  l:'A,H'     ; c:FALSE; r:FALSE),
{9D}     (m:'SBC';  l:'A,L'     ; c:FALSE; r:FALSE),
{9E}     (m:'SBC';  l:'A,(HL)'  ; c:FALSE; r:FALSE),
{9F}     (m:'SBC';  l:'A,A'     ; c:FALSE; r:FALSE),

{A0}     (m:'AND';  l:'B'       ; c:FALSE; r:FALSE),
{A1}     (m:'AND';  l:'C'       ; c:FALSE; r:FALSE),
{A2}     (m:'AND';  l:'D'       ; c:FALSE; r:FALSE),
{A3}     (m:'AND';  l:'E'       ; c:FALSE; r:FALSE),
{A4}     (m:'AND';  l:'H'       ; c:FALSE; r:FALSE),
{A5}     (m:'AND';  l:'L'       ; c:FALSE; r:FALSE),
{A6}     (m:'AND';  l:'(HL)'    ; c:FALSE; r:FALSE),
{A7}     (m:'AND';  l:'A'       ; c:FALSE; r:FALSE),
{A8}     (m:'XOR';  l:'B'       ; c:FALSE; r:FALSE),
{A9}     (m:'XOR';  l:'C'       ; c:FALSE; r:FALSE),
{AA}     (m:'XOR';  l:'D'       ; c:FALSE; r:FALSE),
{AB}     (m:'XOR';  l:'E'       ; c:FALSE; r:FALSE),
{AC}     (m:'XOR';  l:'H'       ; c:FALSE; r:FALSE),
{AD}     (m:'XOR';  l:'L'       ; c:FALSE; r:FALSE),
{AE}     (m:'XOR';  l:'(HL)'    ; c:FALSE; r:FALSE),
{AF}     (m:'XOR';  l:'A'       ; c:FALSE; r:FALSE),

{B0}     (m:'OR';   l:'B'       ; c:FALSE; r:FALSE),
{B1}     (m:'OR';   l:'C'       ; c:FALSE; r:FALSE),
{B2}     (m:'OR';   l:'D'       ; c:FALSE; r:FALSE),
{B3}     (m:'OR';   l:'E'       ; c:FALSE; r:FALSE),
{B4}     (m:'OR';   l:'H'       ; c:FALSE; r:FALSE),
{B5}     (m:'OR';   l:'L'       ; c:FALSE; r:FALSE),
{B6}     (m:'OR';   l:'(HL)'    ; c:FALSE; r:FALSE),
{B7}     (m:'OR';   l:'A'       ; c:FALSE; r:FALSE),
{B8}     (m:'CP';   l:'B'       ; c:FALSE; r:FALSE),
{B9}     (m:'CP';   l:'C'       ; c:FALSE; r:FALSE),
{BA}     (m:'CP';   l:'D'       ; c:FALSE; r:FALSE),
{BB}     (m:'CP';   l:'E'       ; c:FALSE; r:FALSE),
{BC}     (m:'CP';   l:'H'       ; c:FALSE; r:FALSE),
{BD}     (m:'CP';   l:'L'       ; c:FALSE; r:FALSE),
{BE}     (m:'CP';   l:'(HL)'    ; c:FALSE; r:FALSE),
{BF}     (m:'CP';   l:'A'       ; c:FALSE; r:FALSE),

{C0}     (m:'RET';  l:'NZ'      ; c:FALSE; r:FALSE),
{C1}     (m:'POP';  l:'BC'      ; c:FALSE; r:FALSE),
{C2}     (m:'JP';   l:'NZ,w'    ; c:FALSE; r:TRUE ),
{C3}     (m:'JP';   l:'w'       ; c:TRUE ; r:TRUE ),
{C4}     (m:'CALL'; l:'NZ,w'    ; c:FALSE; r:TRUE ),
{C5}     (m:'PUSH'; l:'BC'      ; c:FALSE; r:FALSE),
{C6}     (m:'ADD';  l:'A,b'     ; c:FALSE; r:FALSE),
{C7}     (m:'RST';  l:'00H'     ; c:FALSE; r:FALSE),
{C8}     (m:'RET';  l:'Z'       ; c:FALSE; r:FALSE),
{C9}     (m:'RET';  l:''        ; c:TRUE ; r:FALSE),
{CA}     (m:'JP';   l:'Z,w'     ; c:FALSE; r:TRUE ),
{CB}     (m:'***';  l:''        ; c:FALSE; r:FALSE),
{CC}     (m:'CALL'; l:'Z,w'     ; c:FALSE; r:TRUE ),
{CD}     (m:'CALL'; l:'w'       ; c:FALSE; r:TRUE ),
{CE}     (m:'ADC';  l:'A,b'     ; c:FALSE; r:FALSE),
{CF}     (m:'RST';  l:'08H'     ; c:FALSE; r:FALSE),

{D0}     (m:'RET';  l:'NC'      ; c:FALSE; r:FALSE),
{D1}     (m:'POP';  l:'DE'      ; c:FALSE; r:FALSE),
{D2}     (m:'JP';   l:'NC,w'    ; c:FALSE; r:TRUE ),
{D3}     (m:'OUT';  l:'(b),A'   ; c:FALSE; r:FALSE),
{D4}     (m:'CALL'; l:'NC,w'    ; c:FALSE; r:TRUE ),
{D5}     (m:'PUSH'; l:'DE'      ; c:FALSE; r:FALSE),
{D6}     (m:'SUB';  l:'b'       ; c:FALSE; r:FALSE),
{D7}     (m:'RST';  l:'10H'     ; c:FALSE; r:FALSE),
{D7{     (m:'RST';  l:'10H,b'   ; c:FALSE; r:FALSE),  {for omni}
{D8}     (m:'RET';  l:'C'       ; c:FALSE; r:FALSE),
{D9}     (m:'EXX';  l:''        ; c:FALSE; r:FALSE),
{DA}     (m:'JP';   l:'C,w'     ; c:FALSE; r:TRUE ),
{DB}     (m:'IN';   l:'A,(b)'   ; c:FALSE; r:FALSE),
{DC}     (m:'CALL'; l:'C,w'     ; c:FALSE; r:TRUE ),
{DD}     (m:'***';  l:''        ; c:FALSE; r:FALSE),
{DE}     (m:'SBC';  l:'A,b'     ; c:FALSE; r:FALSE),
{DF}     (m:'RST';  l:'18H'     ; c:FALSE; r:FALSE),

{E0}     (m:'RET';  l:'PO'      ; c:FALSE; r:FALSE),
{E1}     (m:'POP';  l:'HL'      ; c:FALSE; r:FALSE),
{E2}     (m:'JP';   l:'PO,w'    ; c:FALSE; r:TRUE ),
{E3}     (m:'EX';   l:'(SP),HL' ; c:FALSE; r:FALSE),
{E4}     (m:'CALL'; l:'PO,w'    ; c:FALSE; r:TRUE ),
{E5}     (m:'PUSH'; l:'HL'      ; c:FALSE; r:FALSE),
{E6}     (m:'AND';  l:'b'       ; c:FALSE; r:FALSE),
{E7}     (m:'RST';  l:'20H'     ; c:FALSE; r:FALSE),
{E8}     (m:'RET';  l:'PE'      ; c:FALSE; r:FALSE),
{E9}     (m:'JP';   l:'(HL)'    ; c:TRUE ; r:FALSE),
{EA}     (m:'JP';   l:'PE,w'    ; c:FALSE; r:TRUE ),
{EB}     (m:'EX';   l:'DE,HL'   ; c:FALSE; r:FALSE),
{EC}     (m:'CALL'; l:'PE,w'    ; c:FALSE; r:TRUE ),
{ED}     (m:'';     l:''        ; c:FALSE; r:FALSE),
{EE}     (m:'XOR';  l:'b'       ; c:FALSE; r:FALSE),
{EF}     (m:'RST';  l:'28H'     ; c:FALSE; r:FALSE),

{F0}     (m:'RET';  l:'P'       ; c:FALSE; r:FALSE),
{F1}     (m:'POP';  l:'AF'      ; c:FALSE; r:FALSE),
{F2}     (m:'JP';   l:'P,w'     ; c:FALSE; r:TRUE ),
{F3}     (m:'DI';   l:''        ; c:FALSE; r:FALSE),
{F4}     (m:'CALL'; l:'P,w'     ; c:FALSE; r:TRUE ),
{F5}     (m:'PUSH'; l:'AF'      ; c:FALSE; r:FALSE),
{F6}     (m:'OR';   l:'b'       ; c:FALSE; r:FALSE),
{F7}     (m:'RST';  l:'30H'     ; c:FALSE; r:FALSE),
{F8}     (m:'RET';  l:'M'       ; c:FALSE; r:FALSE),
{F9}     (m:'LD';   l:'SP,HL'   ; c:FALSE; r:FALSE),
{FA}     (m:'JP';   l:'M,w'     ; c:FALSE; r:TRUE ),
{FB}     (m:'EI';   l:''        ; c:FALSE; r:FALSE),
{FC}     (m:'CALL'; l:'M,w'     ; c:FALSE; r:TRUE ),
{FD}     (m:'***';  l:''        ; c:FALSE; r:FALSE),
{FE}     (m:'CP';   l:'b'       ; c:FALSE; r:FALSE),
{FF}     (m:'RST';  l:'38H'     ; c:FALSE; r:FALSE)),
(
{CB00}   (m:'RLC';  l:'B'       ; c:FALSE; r:FALSE),
{CB01}   (m:'RLC';  l:'C'       ; c:FALSE; r:FALSE),
{CB02}   (m:'RLC';  l:'D'       ; c:FALSE; r:FALSE),
{CB03}   (m:'RLC';  l:'E'       ; c:FALSE; r:FALSE),
{CB04}   (m:'RLC';  l:'H'       ; c:FALSE; r:FALSE),
{CB05}   (m:'RLC';  l:'L'       ; c:FALSE; r:FALSE),
{CB06}   (m:'RLC';  l:'(HL)'    ; c:FALSE; r:FALSE),
{CB07}   (m:'RLC';  l:'A'       ; c:FALSE; r:FALSE),
{CB08}   (m:'RRC';  l:'B'       ; c:FALSE; r:FALSE),
{CB09}   (m:'RRC';  l:'C'       ; c:FALSE; r:FALSE),
{CB0A}   (m:'RRC';  l:'D'       ; c:FALSE; r:FALSE),
{CB0B}   (m:'RRC';  l:'E'       ; c:FALSE; r:FALSE),
{CB0C}   (m:'RRC';  l:'H'       ; c:FALSE; r:FALSE),
{CB0D}   (m:'RRC';  l:'L'       ; c:FALSE; r:FALSE),
{CB0E}   (m:'RRC';  l:'(HL)'    ; c:FALSE; r:FALSE),
{CB0F}   (m:'RRC';  l:'A'       ; c:FALSE; r:FALSE),

{CB10}   (m:'RL';   l:'B'       ; c:FALSE; r:FALSE),
{CB11}   (m:'RL';   l:'C'       ; c:FALSE; r:FALSE),
{CB12}   (m:'RL';   l:'D'       ; c:FALSE; r:FALSE),
{CB13}   (m:'RL';   l:'E'       ; c:FALSE; r:FALSE),
{CB14}   (m:'RL';   l:'H'       ; c:FALSE; r:FALSE),
{CB15}   (m:'RL';   l:'L'       ; c:FALSE; r:FALSE),
{CB16}   (m:'RL';   l:'(HL)'    ; c:FALSE; r:FALSE),
{CB17}   (m:'RL';   l:'A'       ; c:FALSE; r:FALSE),
{CB18}   (m:'RR';   l:'B'       ; c:FALSE; r:FALSE),
{CB19}   (m:'RR';   l:'C'       ; c:FALSE; r:FALSE),
{CB1A}   (m:'RR';   l:'D'       ; c:FALSE; r:FALSE),
{CB1B}   (m:'RR';   l:'E'       ; c:FALSE; r:FALSE),
{CB1C}   (m:'RR';   l:'H'       ; c:FALSE; r:FALSE),
{CB1D}   (m:'RR';   l:'L'       ; c:FALSE; r:FALSE),
{CB1E}   (m:'RR';   l:'(HL)'    ; c:FALSE; r:FALSE),
{CB1F}   (m:'RR';   l:'A'       ; c:FALSE; r:FALSE),

{CB20}   (m:'SLA';  l:'B'       ; c:FALSE; r:FALSE),
{CB21}   (m:'SLA';  l:'C'       ; c:FALSE; r:FALSE),
{CB22}   (m:'SLA';  l:'D'       ; c:FALSE; r:FALSE),
{CB23}   (m:'SLA';  l:'E'       ; c:FALSE; r:FALSE),
{CB24}   (m:'SLA';  l:'H'       ; c:FALSE; r:FALSE),
{CB25}   (m:'SLA';  l:'L'       ; c:FALSE; r:FALSE),
{CB26}   (m:'SLA';  l:'(HL)'    ; c:FALSE; r:FALSE),
{CB27}   (m:'SLA';  l:'A'       ; c:FALSE; r:FALSE),
{CB28}   (m:'SRA';  l:'B'       ; c:FALSE; r:FALSE),
{CB29}   (m:'SRA';  l:'C'       ; c:FALSE; r:FALSE),
{CB2A}   (m:'SRA';  l:'D'       ; c:FALSE; r:FALSE),
{CB2B}   (m:'SRA';  l:'E'       ; c:FALSE; r:FALSE),
{CB2C}   (m:'SRA';  l:'H'       ; c:FALSE; r:FALSE),
{CB2D}   (m:'SRA';  l:'L'       ; c:FALSE; r:FALSE),
{CB2E}   (m:'SRA';  l:'(HL)'    ; c:FALSE; r:FALSE),
{CB2F}   (m:'SRA';  l:'A'       ; c:FALSE; r:FALSE),

{CB30}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB31}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB32}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB33}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB34}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB35}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB36}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB37}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{CB38}   (m:'SRL';  l:'B'       ; c:FALSE; r:FALSE),
{CB39}   (m:'SRL';  l:'C'       ; c:FALSE; r:FALSE),
{CB3A}   (m:'SRL';  l:'D'       ; c:FALSE; r:FALSE),
{CB3B}   (m:'SRL';  l:'E'       ; c:FALSE; r:FALSE),
{CB3C}   (m:'SRL';  l:'H'       ; c:FALSE; r:FALSE),
{CB3D}   (m:'SRL';  l:'L'       ; c:FALSE; r:FALSE),
{CB3E}   (m:'SRL';  l:'(HL)'    ; c:FALSE; r:FALSE),
{CB3F}   (m:'SRL';  l:'A'       ; c:FALSE; r:FALSE),

{CB40}   (m:'BIT';  l:'0,B'     ; c:FALSE; r:FALSE),
{CB41}   (m:'BIT';  l:'0,C'     ; c:FALSE; r:FALSE),
{CB42}   (m:'BIT';  l:'0,D'     ; c:FALSE; r:FALSE),
{CB43}   (m:'BIT';  l:'0,E'     ; c:FALSE; r:FALSE),
{CB44}   (m:'BIT';  l:'0,H'     ; c:FALSE; r:FALSE),
{CB45}   (m:'BIT';  l:'0,L'     ; c:FALSE; r:FALSE),
{CB46}   (m:'BIT';  l:'0,(HL)'  ; c:FALSE; r:FALSE),
{CB47}   (m:'BIT';  l:'0,A'     ; c:FALSE; r:FALSE),
{CB48}   (m:'BIT';  l:'1,B'     ; c:FALSE; r:FALSE),
{CB49}   (m:'BIT';  l:'1,C'     ; c:FALSE; r:FALSE),
{CB4A}   (m:'BIT';  l:'1,D'     ; c:FALSE; r:FALSE),
{CB4B}   (m:'BIT';  l:'1,E'     ; c:FALSE; r:FALSE),
{CB4C}   (m:'BIT';  l:'1,H'     ; c:FALSE; r:FALSE),
{CB4D}   (m:'BIT';  l:'1,L'     ; c:FALSE; r:FALSE),
{CB4E}   (m:'BIT';  l:'1,(HL)'  ; c:FALSE; r:FALSE),
{CB4F}   (m:'BIT';  l:'1,A'     ; c:FALSE; r:FALSE),

{CB50}   (m:'BIT';  l:'2,B'     ; c:FALSE; r:FALSE),
{CB51}   (m:'BIT';  l:'2,C'     ; c:FALSE; r:FALSE),
{CB52}   (m:'BIT';  l:'2,D'     ; c:FALSE; r:FALSE),
{CB53}   (m:'BIT';  l:'2,E'     ; c:FALSE; r:FALSE),
{CB54}   (m:'BIT';  l:'2,H'     ; c:FALSE; r:FALSE),
{CB55}   (m:'BIT';  l:'2,L'     ; c:FALSE; r:FALSE),
{CB56}   (m:'BIT';  l:'2,(HL)'  ; c:FALSE; r:FALSE),
{CB57}   (m:'BIT';  l:'2,A'     ; c:FALSE; r:FALSE),
{CB58}   (m:'BIT';  l:'3,B'     ; c:FALSE; r:FALSE),
{CB59}   (m:'BIT';  l:'3,C'     ; c:FALSE; r:FALSE),
{CB5A}   (m:'BIT';  l:'3,D'     ; c:FALSE; r:FALSE),
{CB5B}   (m:'BIT';  l:'3,E'     ; c:FALSE; r:FALSE),
{CB5C}   (m:'BIT';  l:'3,H'     ; c:FALSE; r:FALSE),
{CB5D}   (m:'BIT';  l:'3,L'     ; c:FALSE; r:FALSE),
{CB5E}   (m:'BIT';  l:'3,(HL)'  ; c:FALSE; r:FALSE),
{CB5F}   (m:'BIT';  l:'3,A'     ; c:FALSE; r:FALSE),

{CB60}   (m:'BIT';  l:'4,B'     ; c:FALSE; r:FALSE),
{CB61}   (m:'BIT';  l:'4,C'     ; c:FALSE; r:FALSE),
{CB62}   (m:'BIT';  l:'4,D'     ; c:FALSE; r:FALSE),
{CB63}   (m:'BIT';  l:'4,E'     ; c:FALSE; r:FALSE),
{CB64}   (m:'BIT';  l:'4,H'     ; c:FALSE; r:FALSE),
{CB65}   (m:'BIT';  l:'4,L'     ; c:FALSE; r:FALSE),
{CB66}   (m:'BIT';  l:'4,(HL)'  ; c:FALSE; r:FALSE),
{CB67}   (m:'BIT';  l:'4,A'     ; c:FALSE; r:FALSE),
{CB68}   (m:'BIT';  l:'5,B'     ; c:FALSE; r:FALSE),
{CB69}   (m:'BIT';  l:'5,C'     ; c:FALSE; r:FALSE),
{CB6A}   (m:'BIT';  l:'5,D'     ; c:FALSE; r:FALSE),
{CB6B}   (m:'BIT';  l:'5,E'     ; c:FALSE; r:FALSE),
{CB6C}   (m:'BIT';  l:'5,H'     ; c:FALSE; r:FALSE),
{CB6D}   (m:'BIT';  l:'5,L'     ; c:FALSE; r:FALSE),
{CB6E}   (m:'BIT';  l:'5,(HL)'  ; c:FALSE; r:FALSE),
{CB6F}   (m:'BIT';  l:'5,A'     ; c:FALSE; r:FALSE),

{CB70}   (m:'BIT';  l:'6,B'     ; c:FALSE; r:FALSE),
{CB71}   (m:'BIT';  l:'6,C'     ; c:FALSE; r:FALSE),
{CB72}   (m:'BIT';  l:'6,D'     ; c:FALSE; r:FALSE),
{CB73}   (m:'BIT';  l:'6,E'     ; c:FALSE; r:FALSE),
{CB74}   (m:'BIT';  l:'6,H'     ; c:FALSE; r:FALSE),
{CB75}   (m:'BIT';  l:'6,L'     ; c:FALSE; r:FALSE),
{CB76}   (m:'BIT';  l:'6,(HL)'  ; c:FALSE; r:FALSE),
{CB77}   (m:'BIT';  l:'6,A'     ; c:FALSE; r:FALSE),
{CB78}   (m:'BIT';  l:'7,B'     ; c:FALSE; r:FALSE),
{CB79}   (m:'BIT';  l:'7,C'     ; c:FALSE; r:FALSE),
{CB7A}   (m:'BIT';  l:'7,D'     ; c:FALSE; r:FALSE),
{CB7B}   (m:'BIT';  l:'7,E'     ; c:FALSE; r:FALSE),
{CB7C}   (m:'BIT';  l:'7,H'     ; c:FALSE; r:FALSE),
{CB7D}   (m:'BIT';  l:'7,L'     ; c:FALSE; r:FALSE),
{CB7E}   (m:'BIT';  l:'7,(HL)'  ; c:FALSE; r:FALSE),
{CB7F}   (m:'BIT';  l:'7,A'     ; c:FALSE; r:FALSE),

{CB80}   (m:'RES';  l:'0,B'     ; c:FALSE; r:FALSE),
{CB81}   (m:'RES';  l:'0,C'     ; c:FALSE; r:FALSE),
{CB82}   (m:'RES';  l:'0,D'     ; c:FALSE; r:FALSE),
{CB83}   (m:'RES';  l:'0,E'     ; c:FALSE; r:FALSE),
{CB84}   (m:'RES';  l:'0,H'     ; c:FALSE; r:FALSE),
{CB85}   (m:'RES';  l:'0,L'     ; c:FALSE; r:FALSE),
{CB86}   (m:'RES';  l:'0,(HL)'  ; c:FALSE; r:FALSE),
{CB87}   (m:'RES';  l:'0,A'     ; c:FALSE; r:FALSE),
{CB88}   (m:'RES';  l:'1,B'     ; c:FALSE; r:FALSE),
{CB89}   (m:'RES';  l:'1,C'     ; c:FALSE; r:FALSE),
{CB8A}   (m:'RES';  l:'1,D'     ; c:FALSE; r:FALSE),
{CB8B}   (m:'RES';  l:'1,E'     ; c:FALSE; r:FALSE),
{CB8C}   (m:'RES';  l:'1,H'     ; c:FALSE; r:FALSE),
{CB8D}   (m:'RES';  l:'1,L'     ; c:FALSE; r:FALSE),
{CB8E}   (m:'RES';  l:'1,(HL)'  ; c:FALSE; r:FALSE),
{CB8F}   (m:'RES';  l:'1,A'     ; c:FALSE; r:FALSE),

{CB90}   (m:'RES';  l:'2,B'     ; c:FALSE; r:FALSE),
{CB91}   (m:'RES';  l:'2,C'     ; c:FALSE; r:FALSE),
{CB92}   (m:'RES';  l:'2,D'     ; c:FALSE; r:FALSE),
{CB93}   (m:'RES';  l:'2,E'     ; c:FALSE; r:FALSE),
{CB94}   (m:'RES';  l:'2,H'     ; c:FALSE; r:FALSE),
{CB95}   (m:'RES';  l:'2,L'     ; c:FALSE; r:FALSE),
{CB96}   (m:'RES';  l:'2,(HL)'  ; c:FALSE; r:FALSE),
{CB97}   (m:'RES';  l:'2,A'     ; c:FALSE; r:FALSE),
{CB98}   (m:'RES';  l:'3,B'     ; c:FALSE; r:FALSE),
{CB99}   (m:'RES';  l:'3,C'     ; c:FALSE; r:FALSE),
{CB9A}   (m:'RES';  l:'3,D'     ; c:FALSE; r:FALSE),
{CB9B}   (m:'RES';  l:'3,E'     ; c:FALSE; r:FALSE),
{CB9C}   (m:'RES';  l:'3,H'     ; c:FALSE; r:FALSE),
{CB9D}   (m:'RES';  l:'3,L'     ; c:FALSE; r:FALSE),
{CB9E}   (m:'RES';  l:'3,(HL)'  ; c:FALSE; r:FALSE),
{CB9F}   (m:'RES';  l:'3,A'     ; c:FALSE; r:FALSE),

{CBA0}   (m:'RES';  l:'4,B'     ; c:FALSE; r:FALSE),
{CBA1}   (m:'RES';  l:'4,C'     ; c:FALSE; r:FALSE),
{CBA2}   (m:'RES';  l:'4,D'     ; c:FALSE; r:FALSE),
{CBA3}   (m:'RES';  l:'4,E'     ; c:FALSE; r:FALSE),
{CBA4}   (m:'RES';  l:'4,H'     ; c:FALSE; r:FALSE),
{CBA5}   (m:'RES';  l:'4,L'     ; c:FALSE; r:FALSE),
{CBA6}   (m:'RES';  l:'4,(HL)'  ; c:FALSE; r:FALSE),
{CBA7}   (m:'RES';  l:'4,A'     ; c:FALSE; r:FALSE),
{CBA8}   (m:'RES';  l:'5,B'     ; c:FALSE; r:FALSE),
{CBA9}   (m:'RES';  l:'5,C'     ; c:FALSE; r:FALSE),
{CBAA}   (m:'RES';  l:'5,D'     ; c:FALSE; r:FALSE),
{CBAB}   (m:'RES';  l:'5,E'     ; c:FALSE; r:FALSE),
{CBAC}   (m:'RES';  l:'5,H'     ; c:FALSE; r:FALSE),
{CBAD}   (m:'RES';  l:'5,L'     ; c:FALSE; r:FALSE),
{CBAE}   (m:'RES';  l:'5,(HL)'  ; c:FALSE; r:FALSE),
{CBAF}   (m:'RES';  l:'5,A'     ; c:FALSE; r:FALSE),

{CBB0}   (m:'RES';  l:'6,B'     ; c:FALSE; r:FALSE),
{CBB1}   (m:'RES';  l:'6,C'     ; c:FALSE; r:FALSE),
{CBB2}   (m:'RES';  l:'6,D'     ; c:FALSE; r:FALSE),
{CBB3}   (m:'RES';  l:'6,E'     ; c:FALSE; r:FALSE),
{CBB4}   (m:'RES';  l:'6,H'     ; c:FALSE; r:FALSE),
{CBB5}   (m:'RES';  l:'6,L'     ; c:FALSE; r:FALSE),
{CBB6}   (m:'RES';  l:'6,(HL)'  ; c:FALSE; r:FALSE),
{CBB7}   (m:'RES';  l:'6,A'     ; c:FALSE; r:FALSE),
{CBB8}   (m:'RES';  l:'7,B'     ; c:FALSE; r:FALSE),
{CBB9}   (m:'RES';  l:'7,C'     ; c:FALSE; r:FALSE),
{CBBA}   (m:'RES';  l:'7,D'     ; c:FALSE; r:FALSE),
{CBBB}   (m:'RES';  l:'7,E'     ; c:FALSE; r:FALSE),
{CBBC}   (m:'RES';  l:'7,H'     ; c:FALSE; r:FALSE),
{CBBD}   (m:'RES';  l:'7,L'     ; c:FALSE; r:FALSE),
{CBBE}   (m:'RES';  l:'7,(HL)'  ; c:FALSE; r:FALSE),
{CBBF}   (m:'RES';  l:'7,A'     ; c:FALSE; r:FALSE),

{CBC0}   (m:'SET';  l:'0,B'     ; c:FALSE; r:FALSE),
{CBC1}   (m:'SET';  l:'0,C'     ; c:FALSE; r:FALSE),
{CBC2}   (m:'SET';  l:'0,D'     ; c:FALSE; r:FALSE),
{CBC3}   (m:'SET';  l:'0,E'     ; c:FALSE; r:FALSE),
{CBC4}   (m:'SET';  l:'0,H'     ; c:FALSE; r:FALSE),
{CBC5}   (m:'SET';  l:'0,L'     ; c:FALSE; r:FALSE),
{CBC6}   (m:'SET';  l:'0,(HL)'  ; c:FALSE; r:FALSE),
{CBC7}   (m:'SET';  l:'0,A'     ; c:FALSE; r:FALSE),
{CBC8}   (m:'SET';  l:'1,B'     ; c:FALSE; r:FALSE),
{CBC9}   (m:'SET';  l:'1,C'     ; c:FALSE; r:FALSE),
{CBCA}   (m:'SET';  l:'1,D'     ; c:FALSE; r:FALSE),
{CBCB}   (m:'SET';  l:'1,E'     ; c:FALSE; r:FALSE),
{CBCC}   (m:'SET';  l:'1,H'     ; c:FALSE; r:FALSE),
{CBCD}   (m:'SET';  l:'1,L'     ; c:FALSE; r:FALSE),
{CBCE}   (m:'SET';  l:'1,(HL)'  ; c:FALSE; r:FALSE),
{CBCF}   (m:'SET';  l:'1,A'     ; c:FALSE; r:FALSE),

{CBD0}   (m:'SET';  l:'2,B'     ; c:FALSE; r:FALSE),
{CBD1}   (m:'SET';  l:'2,C'     ; c:FALSE; r:FALSE),
{CBD2}   (m:'SET';  l:'2,D'     ; c:FALSE; r:FALSE),
{CBD3}   (m:'SET';  l:'2,E'     ; c:FALSE; r:FALSE),
{CBD4}   (m:'SET';  l:'2,H'     ; c:FALSE; r:FALSE),
{CBD5}   (m:'SET';  l:'2,L'     ; c:FALSE; r:FALSE),
{CBD6}   (m:'SET';  l:'2,(HL)'  ; c:FALSE; r:FALSE),
{CBD7}   (m:'SET';  l:'2,A'     ; c:FALSE; r:FALSE),
{CBD8}   (m:'SET';  l:'3,B'     ; c:FALSE; r:FALSE),
{CBD9}   (m:'SET';  l:'3,C'     ; c:FALSE; r:FALSE),
{CBDA}   (m:'SET';  l:'3,D'     ; c:FALSE; r:FALSE),
{CBDB}   (m:'SET';  l:'3,E'     ; c:FALSE; r:FALSE),
{CBDC}   (m:'SET';  l:'3,H'     ; c:FALSE; r:FALSE),
{CBDD}   (m:'SET';  l:'3,L'     ; c:FALSE; r:FALSE),
{CBDE}   (m:'SET';  l:'3,(HL)'  ; c:FALSE; r:FALSE),
{CBDF}   (m:'SET';  l:'3,A'     ; c:FALSE; r:FALSE),

{CBE0}   (m:'SET';  l:'4,B'     ; c:FALSE; r:FALSE),
{CBE1}   (m:'SET';  l:'4,C'     ; c:FALSE; r:FALSE),
{CBE2}   (m:'SET';  l:'4,D'     ; c:FALSE; r:FALSE),
{CBE3}   (m:'SET';  l:'4,E'     ; c:FALSE; r:FALSE),
{CBE4}   (m:'SET';  l:'4,H'     ; c:FALSE; r:FALSE),
{CBE5}   (m:'SET';  l:'4,L'     ; c:FALSE; r:FALSE),
{CBE6}   (m:'SET';  l:'4,(HL)'  ; c:FALSE; r:FALSE),
{CBE7}   (m:'SET';  l:'4,A'     ; c:FALSE; r:FALSE),
{CBE8}   (m:'SET';  l:'5,B'     ; c:FALSE; r:FALSE),
{CBE9}   (m:'SET';  l:'5,C'     ; c:FALSE; r:FALSE),
{CBEA}   (m:'SET';  l:'5,D'     ; c:FALSE; r:FALSE),
{CBEB}   (m:'SET';  l:'5,E'     ; c:FALSE; r:FALSE),
{CBEC}   (m:'SET';  l:'5,H'     ; c:FALSE; r:FALSE),
{CBED}   (m:'SET';  l:'5,L'     ; c:FALSE; r:FALSE),
{CBEE}   (m:'SET';  l:'5,(HL)'  ; c:FALSE; r:FALSE),
{CBEF}   (m:'SET';  l:'5,A'     ; c:FALSE; r:FALSE),

{CBF0}   (m:'SET';  l:'6,B'     ; c:FALSE; r:FALSE),
{CBF1}   (m:'SET';  l:'6,C'     ; c:FALSE; r:FALSE),
{CBF2}   (m:'SET';  l:'6,D'     ; c:FALSE; r:FALSE),
{CBF3}   (m:'SET';  l:'6,E'     ; c:FALSE; r:FALSE),
{CBF4}   (m:'SET';  l:'6,H'     ; c:FALSE; r:FALSE),
{CBF5}   (m:'SET';  l:'6,L'     ; c:FALSE; r:FALSE),
{CBF6}   (m:'SET';  l:'6,(HL)'  ; c:FALSE; r:FALSE),
{CBF7}   (m:'SET';  l:'6,A'     ; c:FALSE; r:FALSE),
{CBF8}   (m:'SET';  l:'7,B'     ; c:FALSE; r:FALSE),
{CBF9}   (m:'SET';  l:'7,C'     ; c:FALSE; r:FALSE),
{CBFA}   (m:'SET';  l:'7,D'     ; c:FALSE; r:FALSE),
{CBFB}   (m:'SET';  l:'7,E'     ; c:FALSE; r:FALSE),
{CBFC}   (m:'SET';  l:'7,H'     ; c:FALSE; r:FALSE),
{CBFD}   (m:'SET';  l:'7,L'     ; c:FALSE; r:FALSE),
{CBFE}   (m:'SET';  l:'7,(HL)'  ; c:FALSE; r:FALSE),
{CBFF}   (m:'SET';  l:'7,A'     ; c:FALSE; r:FALSE)),
(
{DD00}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD01}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD02}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD03}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD04}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD05}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD06}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD07}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD08}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD09}   (m:'ADD';  l:'IX,BC'   ; c:FALSE; r:FALSE),
{DD0A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD0B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD0C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD0D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD0E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD0F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD10}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD11}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD12}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD13}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD14}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD15}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD16}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD17}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD18}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD19}   (m:'ADD';  l:'IX,DE'   ; c:FALSE; r:FALSE),
{DD1A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD1B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD1C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD1D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD1E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD1F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD20}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD21}   (m:'LD';   l:'IX,w'    ; c:FALSE; r:FALSE),
{DD22}   (m:'LD';   l:'(w),IX'  ; c:FALSE; r:FALSE),
{DD23}   (m:'INC';  l:'IX'      ; c:FALSE; r:FALSE),
{DD24}   (m:'*INC'; l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DD25}   (m:'*DEC'; l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DD26}   (m:'*LD';  l:'IXH,b'   ; c:FALSE; r:FALSE), {undocumented!}
{DD27}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD28}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD29}   (m:'ADD';  l:'IX,IX'   ; c:FALSE; r:FALSE),
{DD2A}   (m:'LD';   l:'IX,(w)'  ; c:FALSE; r:FALSE),
{DD2B}   (m:'DEC';  l:'IX'      ; c:FALSE; r:FALSE),
{DD2C}   (m:'*INC'; l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DD2D}   (m:'*DEC'; l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DD2E}   (m:'*LD';  l:'IXL,b'   ; c:FALSE; r:FALSE), {undocumented!}
{DD2F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD30}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD31}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD32}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD33}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD34}   (m:'INC';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DD35}   (m:'DEC';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DD36}   (m:'LD';   l:'(IX+d),b'; c:FALSE; r:FALSE),
{DD37}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD38}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD39}   (m:'ADD';  l:'IX,SP'   ; c:FALSE; r:FALSE),
{DD3A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD3B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD3C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD3D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD3E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD3F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD40}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD41}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD42}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD43}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD44}   (m:'*LD';  l:'B,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD45}   (m:'*LD';  l:'B,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD46}   (m:'LD';   l:'B,(IX+d)'; c:FALSE; r:FALSE),
{DD47}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD48}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD49}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD4A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD4B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD4C}   (m:'*LD';  l:'C,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD4D}   (m:'*LD';  l:'C,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD4E}   (m:'LD';   l:'C,(IX+d)'; c:FALSE; r:FALSE),
{DD4F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD50}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD51}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD52}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD53}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD54}   (m:'*LD';  l:'D,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD55}   (m:'*LD';  l:'D,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD56}   (m:'LD';   l:'D,(IX+d)'; c:FALSE; r:FALSE),
{DD57}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD58}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD59}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD5A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD5B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD5C}   (m:'*LD';  l:'E,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD5D}   (m:'*LD';  l:'E,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD5E}   (m:'LD';   l:'E,(IX+d)'; c:FALSE; r:FALSE),
{DD5F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD60}   (m:'*LD';  l:'IXH,B'   ; c:FALSE; r:FALSE), {undocumented!}
{DD61}   (m:'*LD';  l:'IXH,C'   ; c:FALSE; r:FALSE), {undocumented!}
{DD62}   (m:'*LD';  l:'IXH,D'   ; c:FALSE; r:FALSE), {undocumented!}
{DD63}   (m:'*LD';  l:'IXH,E'   ; c:FALSE; r:FALSE), {undocumented!}
{DD64}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD65}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD66}   (m:'LD';   l:'H,(IX+d)'; c:FALSE; r:FALSE),
{DD67}   (m:'*LD';  l:'IXH,A'   ; c:FALSE; r:FALSE), {undocumented!}
{DD68}   (m:'*LD';  l:'IXL,B'   ; c:FALSE; r:FALSE), {undocumented!}
{DD69}   (m:'*LD';  l:'IXL,C'   ; c:FALSE; r:FALSE), {undocumented!}
{DD6A}   (m:'*LD';  l:'IXL,D'   ; c:FALSE; r:FALSE), {undocumented!}
{DD6B}   (m:'*LD';  l:'IXL,E'   ; c:FALSE; r:FALSE), {undocumented!}
{DD6C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD6D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD6E}   (m:'LD';   l:'L,(IX+d)'; c:FALSE; r:FALSE),
{DD6F}   (m:'*LD';  l:'IXL,A'   ; c:FALSE; r:FALSE), {undocumented!}

{DD70}   (m:'LD';   l:'(IX+d),B'; c:FALSE; r:FALSE),
{DD71}   (m:'LD';   l:'(IX+d),C'; c:FALSE; r:FALSE),
{DD72}   (m:'LD';   l:'(IX+d),D'; c:FALSE; r:FALSE),
{DD73}   (m:'LD';   l:'(IX+d),E'; c:FALSE; r:FALSE),
{DD74}   (m:'LD';   l:'(IX+d),H'; c:FALSE; r:FALSE),
{DD75}   (m:'LD';   l:'(IX+d),L'; c:FALSE; r:FALSE),
{DD76}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD77}   (m:'LD';   l:'(IX+d),A'; c:FALSE; r:FALSE),
{DD78}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD79}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD7A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD7B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD7C}   (m:'*LD';  l:'A,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD7D}   (m:'*LD';  l:'A,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD7E}   (m:'LD';   l:'A,(IX+d)'; c:FALSE; r:FALSE),
{DD7F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD80}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD81}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD82}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD83}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD84}   (m:'*ADD'; l:'A,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD85}   (m:'*ADD'; l:'A,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD86}   (m:'ADD';  l:'A,(IX+d)'; c:FALSE; r:FALSE),
{DD87}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD88}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD89}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD8A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD8B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD8C}   (m:'*ADC'; l:'A,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD8D}   (m:'*ADC'; l:'A,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD8E}   (m:'ADC';  l:'A,(IX+d)'; c:FALSE; r:FALSE),
{DD8F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DD90}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD91}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD92}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD93}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD94}   (m:'*SUB'; l:'A,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD95}   (m:'*SUB'; l:'A,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD96}   (m:'SUB';  l:'A,(IX+d)'; c:FALSE; r:FALSE),
{DD97}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD98}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD99}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD9A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD9B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DD9C}   (m:'*SBC'; l:'A,IXH'   ; c:FALSE; r:FALSE), {undocumented!}
{DD9D}   (m:'*SBC'; l:'A,IXL'   ; c:FALSE; r:FALSE), {undocumented!}
{DD9E}   (m:'SBC';  l:'A,(IX+d)'; c:FALSE; r:FALSE),
{DD9F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDA0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA4}   (m:'*AND'; l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DDA5}   (m:'*AND'; l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DDA6}   (m:'AND';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDA7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDA9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDAA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDAB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDAC}   (m:'*XOR'; l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DDAD}   (m:'*XOR'; l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DDAE}   (m:'XOR';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDAF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDB0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB4}   (m:'*OR';  l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DDB5}   (m:'*OR';  l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DDB6}   (m:'OR';   l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDB7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDB9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDBA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDBB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDBC}   (m:'*CP';  l:'IXH'     ; c:FALSE; r:FALSE), {undocumented!}
{DDBD}   (m:'*CP';  l:'IXL'     ; c:FALSE; r:FALSE), {undocumented!}
{DDBE}   (m:'CP';   l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDBF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDC0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDC9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDCA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDCB}   (m:'***';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
(*
{DDCB06} (m:'RLC';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB0E} (m:'RRC';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB16} (m:'RL';   l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB1E} (m:'RR';   l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB26} (m:'SLA';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB2E} (m:'SRA';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB3E} (m:'SRL';  l:'(IX+d)'  ; c:FALSE; r:FALSE),
{DDCB46} (m:'BIT';  l:'0,(IX+d)'; c:FALSE; r:FALSE),
{DDCB4E} (m:'BIT';  l:'1,(IX+d)'; c:FALSE; r:FALSE),
{DDCB56} (m:'BIT';  l:'2,(IX+d)'; c:FALSE; r:FALSE),
{DDCB5E} (m:'BIT';  l:'3,(IX+d)'; c:FALSE; r:FALSE),
{DDCB66} (m:'BIT';  l:'4,(IX+d)'; c:FALSE; r:FALSE),
{DDCB6E} (m:'BIT';  l:'5,(IX+d)'; c:FALSE; r:FALSE),
{DDCB76} (m:'BIT';  l:'6,(IX+d)'; c:FALSE; r:FALSE),
{DDCB7E} (m:'BIT';  l:'7,(IX+d)'; c:FALSE; r:FALSE),
{DDCB86} (m:'RES';  l:'0,(IX+d)'; c:FALSE; r:FALSE),
{DDCB8E} (m:'RES';  l:'1,(IX+d)'; c:FALSE; r:FALSE),
{DDCB96} (m:'RES';  l:'2,(IX+d)'; c:FALSE; r:FALSE),
{DDCB9E} (m:'RES';  l:'3,(IX+d)'; c:FALSE; r:FALSE),
{DDCBA6} (m:'RES';  l:'4,(IX+d)'; c:FALSE; r:FALSE),
{DDCBAE} (m:'RES';  l:'5,(IX+d)'; c:FALSE; r:FALSE),
{DDCBB6} (m:'RES';  l:'6,(IX+d)'; c:FALSE; r:FALSE),
{DDCBBE} (m:'RES';  l:'7,(IX+d)'; c:FALSE; r:FALSE),
{DDCBC6} (m:'SET';  l:'0,(IX+d)'; c:FALSE; r:FALSE),
{DDCBCE} (m:'SET';  l:'1,(IX+d)'; c:FALSE; r:FALSE),
{DDCBD6} (m:'SET';  l:'2,(IX+d)'; c:FALSE; r:FALSE),
{DDCBDE} (m:'SET';  l:'3,(IX+d)'; c:FALSE; r:FALSE),
{DDCBE6} (m:'SET';  l:'4,(IX+d)'; c:FALSE; r:FALSE),
{DDCBEE} (m:'SET';  l:'5,(IX+d)'; c:FALSE; r:FALSE),
{DDCBF6} (m:'SET';  l:'6,(IX+d)'; c:FALSE; r:FALSE),
{DDCBFE} (m:'SET';  l:'7,(IX+d)'; c:FALSE; r:FALSE),
*)
{DDCC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDCD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDCE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDCF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDD0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDD9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDDF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDE0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE1}   (m:'POP';  l:'IX'      ; c:FALSE; r:FALSE),
{DDE2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE3}   (m:'EX';   l:'(SP),IX' ; c:FALSE; r:FALSE),
{DDE4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE5}   (m:'PUSH'; l:'IX'      ; c:FALSE; r:FALSE),
{DDE6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDE9}   (m:'JP';   l:'(IX)'    ; c:TRUE ; r:FALSE),
{DDEA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDEB}   (m:'EX';   l:'DE,IX'   ; c:FALSE; r:FALSE), {undocumented?}
{DDEC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDED}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDEE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDEF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{DDF0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDF9}   (m:'LD';   l:'SP,IX'   ; c:FALSE; r:FALSE),
{DDFA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDFB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDFC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDFD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDFE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{DDFF}   (m:'';     l:''        ; c:FALSE; r:FALSE)),
( { I reallly need those Z-180 EDxx opcodes! }
{ED00}   (m:'ED00'; l:'b'       ; c:FALSE; r:FALSE),
{ED01}   (m:'ED01'; l:'b'       ; c:FALSE; r:FALSE),
{ED02}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED03}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED04}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED05}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED06}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED07}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED08}   (m:'ED08'; l:'b'       ; c:FALSE; r:FALSE),
{ED09}   (m:'ED09'; l:'b'       ; c:FALSE; r:FALSE),
{ED0A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED0B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED0C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED0D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED0E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED0F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED10}   (m:'ED10'; l:'b'       ; c:FALSE; r:FALSE),
{ED11}   (m:'ED11'; l:'b'       ; c:FALSE; r:FALSE),
{ED12}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED13}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED14}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED15}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED16}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED17}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED18}   (m:'ED18'; l:'b'       ; c:FALSE; r:FALSE),
{ED19}   (m:'ED19'; l:'b'       ; c:FALSE; r:FALSE),
{ED1A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED1B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED1C}   (m:'ED1C'; l:''        ; c:FALSE; r:FALSE),
{ED1D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED1E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED1F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED20}   (m:'ED20'; l:'b'       ; c:FALSE; r:FALSE),
{ED21}   (m:'ED21'; l:'b'       ; c:FALSE; r:FALSE),
{ED22}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED23}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED24}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED25}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED26}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED27}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED28}   (m:'ED28'; l:'b'       ; c:FALSE; r:FALSE),
{ED29}   (m:'ED29'; l:'b'       ; c:FALSE; r:FALSE),
{ED2A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED2B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED2C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED2D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED2E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED2F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED30}   (m:'ED30'; l:'b'       ; c:FALSE; r:FALSE),
{ED31}   (m:'ED31'; l:'b'       ; c:FALSE; r:FALSE),
{ED32}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED33}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED34}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED35}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED36}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED37}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED38}   (m:'ED38'; l:'b'       ; c:FALSE; r:FALSE),
{ED39}   (m:'ED39'; l:'b'       ; c:FALSE; r:FALSE),
{ED3A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED3B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED3C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED3D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED3E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED3F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED40}   (m:'IN';   l:'B,(C)'   ; c:FALSE; r:FALSE),
{ED41}   (m:'OUT';  l:'(C),B'   ; c:FALSE; r:FALSE),
{ED42}   (m:'SBC';  l:'HL,BC'   ; c:FALSE; r:FALSE),
{ED43}   (m:'LD';   l:'(w),BC'  ; c:FALSE; r:FALSE),
{ED44}   (m:'NEG';  l:''        ; c:FALSE; r:FALSE),
{ED45}   (m:'RETN'; l:''        ; c:TRUE ; r:FALSE),
{ED46}   (m:'IM';   l:'0'       ; c:FALSE; r:FALSE),
{ED47}   (m:'LD';   l:'I,A'     ; c:FALSE; r:FALSE),
{ED48}   (m:'IN';   l:'C,(C)'   ; c:FALSE; r:FALSE),
{ED49}   (m:'OUT';  l:'(C),C'   ; c:FALSE; r:FALSE),
{ED4A}   (m:'ADC';  l:'HL,BC'   ; c:FALSE; r:FALSE),
{ED4B}   (m:'LD';   l:'BC,(w)'  ; c:FALSE; r:FALSE),
{ED4C}   (m:'ED4C'; l:''        ; c:FALSE; r:FALSE),
{ED4D}   (m:'RETI'; l:''        ; c:TRUE ; r:FALSE),
{ED4E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED4F}   (m:'LD';   l:'R,A'     ; c:FALSE; r:FALSE),

{ED50}   (m:'IN';   l:'D,(C)'   ; c:FALSE; r:FALSE),
{ED51}   (m:'OUT';  l:'(C),D'   ; c:FALSE; r:FALSE),
{ED52}   (m:'SBC';  l:'HL,DE'   ; c:FALSE; r:FALSE),
{ED53}   (m:'LD';   l:'(w),DE'  ; c:FALSE; r:FALSE),
{ED54}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED55}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED56}   (m:'IM';   l:'1'       ; c:FALSE; r:FALSE),
{ED57}   (m:'LD';   l:'A,I'     ; c:FALSE; r:FALSE),
{ED58}   (m:'IN';   l:'E,(C)'   ; c:FALSE; r:FALSE),
{ED59}   (m:'OUT';  l:'(C),E'   ; c:FALSE; r:FALSE),
{ED5A}   (m:'ADC';  l:'HL,DE'   ; c:FALSE; r:FALSE),
{ED5B}   (m:'LD';   l:'DE,(w)'  ; c:FALSE; r:FALSE),
{ED5C}   (m:'ED5C'; l:''        ; c:FALSE; r:FALSE),
{ED5D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED5E}   (m:'IM';   l:'2'       ; c:FALSE; r:FALSE),
{ED5F}   (m:'LD';   l:'A,R'     ; c:FALSE; r:FALSE),

{ED60}   (m:'IN';   l:'H,(C)'   ; c:FALSE; r:FALSE),
{ED61}   (m:'OUT';  l:'(C),H'   ; c:FALSE; r:FALSE),
{ED62}   (m:'SBC';  l:'HL,HL'   ; c:FALSE; r:FALSE),
{ED63}   (m:'*LD';  l:'(w),HL'  ; c:FALSE; r:FALSE), {undocumented!}
{ED64}   (m:'ED64'; l:''        ; c:FALSE; r:FALSE),
{ED65}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED66}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED67}   (m:'RRD';  l:''        ; c:FALSE; r:FALSE),
{ED68}   (m:'IN';   l:'L,(C)'   ; c:FALSE; r:FALSE),
{ED69}   (m:'OUT';  l:'(C),L'   ; c:FALSE; r:FALSE),
{ED6A}   (m:'ADC';  l:'HL,HL'   ; c:FALSE; r:FALSE),
{ED6B}   (m:'*LD';  l:'HL,(w)'  ; c:FALSE; r:FALSE), {undocumented!}
{ED6C}   (m:'ED6C'; l:''        ; c:FALSE; r:FALSE),
{ED6D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED6E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED6F}   (m:'RLD';  l:''        ; c:FALSE; r:FALSE),

{ED70}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED71}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED72}   (m:'SBC';  l:'HL,SP'   ; c:FALSE; r:FALSE),
{ED73}   (m:'LD';   l:'(w),SP'  ; c:FALSE; r:FALSE),
{ED74}   (m:'ED74'; l:''        ; c:FALSE; r:FALSE),
{ED75}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED76}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED77}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED78}   (m:'IN';   l:'A,(C)'   ; c:FALSE; r:FALSE),
{ED79}   (m:'OUT';  l:'(C),A'   ; c:FALSE; r:FALSE),
{ED7A}   (m:'ADC';  l:'HL,SP'   ; c:FALSE; r:FALSE),
{ED7B}   (m:'LD';   l:'SP,(w)'  ; c:FALSE; r:FALSE),
{ED7C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED7D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED7E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED7F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED80}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED81}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED82}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED83}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED84}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED85}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED86}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED87}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED88}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED89}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED8F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{ED90}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED91}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED92}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED93}   (m:'ED93'; l:''        ; c:FALSE; r:FALSE),
{ED94}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED95}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED96}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED97}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED98}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED99}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9A}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9B}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9C}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9D}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9E}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{ED9F}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDA0}   (m:'LDI';  l:''        ; c:FALSE; r:FALSE),
{EDA1}   (m:'CPI';  l:''        ; c:FALSE; r:FALSE),
{EDA2}   (m:'INI';  l:''        ; c:FALSE; r:FALSE),
{EDA3}   (m:'OUTI'; l:''        ; c:FALSE; r:FALSE),
{EDA4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDA5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDA6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDA7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDA8}   (m:'LDD';  l:''        ; c:FALSE; r:FALSE),
{EDA9}   (m:'CPD';  l:''        ; c:FALSE; r:FALSE),
{EDAA}   (m:'IND';  l:''        ; c:FALSE; r:FALSE),
{EDAB}   (m:'OUTD'; l:''        ; c:FALSE; r:FALSE),
{EDAC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDAD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDAE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDAF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDB0}   (m:'LDIR'; l:''        ; c:FALSE; r:FALSE),
{EDB1}   (m:'CPIR'; l:''        ; c:FALSE; r:FALSE),
{EDB2}   (m:'INIR'; l:''        ; c:FALSE; r:FALSE),
{EDB3}   (m:'OTIR'; l:''        ; c:FALSE; r:FALSE),
{EDB4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDB5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDB6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDB7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDB8}   (m:'LDDR'; l:''        ; c:FALSE; r:FALSE),
{EDB9}   (m:'CPDR'; l:''        ; c:FALSE; r:FALSE),
{EDBA}   (m:'INDR'; l:''        ; c:FALSE; r:FALSE),
{EDBB}   (m:'OTDR'; l:''        ; c:FALSE; r:FALSE),
{EDBC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDBD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDBE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDBF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDC0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDC9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDCF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDD0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDD9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDDF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDE0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDE9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDEA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDEB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDEC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDED}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDEE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDEF}   (m:'';     l:''        ; c:FALSE; r:FALSE),

{EDF0}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF1}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF2}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF3}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF4}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF5}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF6}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF7}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF8}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDF9}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFA}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFB}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFC}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFD}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFE}   (m:'';     l:''        ; c:FALSE; r:FALSE),
{EDFF}   (m:'';     l:''        ; c:FALSE; r:FALSE)));

